package com.xydl.service;

import com.xydl.entity.SyncTablesInfo;
import com.xydl.entity.SyncTablesInfoKey;
import com.xydl.repository.SyncTablesInfoRepository;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Optional;

@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class SyncTablesInfoService {
    @Resource
    SyncTablesInfoRepository repository;

    public List<SyncTablesInfo> findAll() {
        return repository.findAll();
    }

    public Optional<SyncTablesInfo> findByKey(Integer clientId, String tableName) {
        SyncTablesInfoKey key = SyncTablesInfoKey.builder()
                .clientId(clientId)
                .tableName(tableName)
                .build();
        return repository.findById(key);
    }
}
