/**
 * @author roger - Sep 9, 2016
 * @version 2.0
 * file name: JSONProcessor.java
 * package name: com.roam2free.rest.util
 */

package com.xydl.util;

import java.io.File;
import java.io.IOException;
import java.util.Map;


public class JSONUtil {

    private static JSONProcessor jSONProcessor = new JSONProcessor();

    public static String object2Json(Object obj) {
        return jSONProcessor.buildJSONFromJSONObject(obj);
    }

    public static String object2Json(Object obj, boolean prettyPrinter) {
        return jSONProcessor.buildJSONFromJSONObject(obj, prettyPrinter);
    }

    public static <T> T json2Object(String json, Class<T> clazz) throws Exception {
        return jSONProcessor.buildJSONObjectFromJSON(json, clazz);
    }

    public static <T> T file2Object(File file, Class<T> clazz) throws Exception {
        return jSONProcessor.buildJSONObjectFromJSON(file, clazz);
    }

    public static Map<String, Object> object2Map(Object obj) {
        try {
            return jSONProcessor.fromJSON2Map(obj);
        } catch (IOException e) {
            return null;
        }
    }

}
